classification
Title: Unify TryExcept and TryFinally
Type: Stage: resolved
Components: Interpreter Core Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, ncoghlan, python-dev
Priority: normal Keywords: patch

Created on 2011-05-27 19:55 by benjamin.peterson, last changed 2011-05-29 16:43 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
try.patch benjamin.peterson, 2011-05-27 19:55 review
try2.patch benjamin.peterson, 2011-05-28 19:24 review
Messages (5)
msg137097 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2011-05-27 19:55
You can write them as one compound statement in Python, so there's no point in having two ast classes.
msg137120 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2011-05-28 11:09
From my review:

"""One genuine problem with a stale assert and comment in ast.c, and a small objection to style in compile.c (I'd like a new compile_try() function to match the new AST node).

Otherwise looked good in a desk review."""
msg137144 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2011-05-28 19:24
Thanks for the review. New patch.
msg137182 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2011-05-29 12:56
Looks good to me.
msg137199 - (view) Author: Roundup Robot (python-dev) Date: 2011-05-29 16:43
New changeset e0e663132363 by Benjamin Peterson in branch 'default':
unify TryExcept and TryFinally (closes #12199)
http://hg.python.org/cpython/rev/e0e663132363
History
Date User Action Args
2011-05-29 16:43:19python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg137199

resolution: fixed
stage: resolved
2011-05-29 12:56:04ncoghlansetmessages: + msg137182
2011-05-28 19:24:58benjamin.petersonsetfiles: + try2.patch

messages: + msg137144
2011-05-28 11:09:15ncoghlansetmessages: + msg137120
2011-05-27 19:55:23benjamin.petersoncreate